Package org.mariadb.jdbc.plugin.authentication.addon.gssapi

## Class WindowsNativeSspiAuthentication

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.addon.gssapi.WindowsNativeSspiAuthentication

All Implemented Interfaces:
  `GssapiAuth`

    public class WindowsNativeSspiAuthentication
    extends Object
    implements GssapiAuth

### Constructor Summary

Constructors
`WindowsNativeSspiAuthentication()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `authenticate​(Writer out, Reader in, String servicePrincipalName, String mechanisms)` Process native windows GSS plugin authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsNativeSspiAuthentication

    public WindowsNativeSspiAuthentication()

### Method Detail

#### authenticate

    public void authenticate​(Writer out,
                             Reader in,
                             String servicePrincipalName,
                             String mechanisms)
                      throws IOException

Process native windows GSS plugin authentication.

Specified by:
  `authenticate` in interface `GssapiAuth`
Parameters:
  `out` - out stream
  `in` - in stream
  `servicePrincipalName` - principal name
  `mechanisms` - gssapi mechanism
Throws:
  `IOException` - if socket error